<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Admin\Controller\Factory;

use Admin\Controller\SelfLocationController;
use Admin\Data\Config;
use Admin\Service\SelfLocationContentManager;
use Admin\Service\SelfLocationManager;
use Admin\Service\SelfLocationMemberManager;
use Interop\Container\ContainerInterface;
use Laminas\Mvc\I18n\Translator;
use Laminas\ServiceManager\Factory\FactoryInterface;

class SelfLocationControllerFactory implements FactoryInterface
{
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        $translator         = $container->get(Translator::class);
        $entityManager      = $container->get(Config::SHOP_DATABASE_MANAGER_WRITE);
        $selfLocationManager= $container->get(SelfLocationManager::class);
        $selfLocationMemberManager = $container->get(SelfLocationMemberManager::class);
        $selfLocationContentManager= $container->get(SelfLocationContentManager::class);

        return new SelfLocationController(
            $translator,
            $entityManager,
            $selfLocationManager,
            $selfLocationMemberManager,
            $selfLocationContentManager
        );
    }
}