<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Admin\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * 自提点内容
 * @ORM\Entity(repositoryClass="Admin\Repository\SelfLocationContentRepository")
 * @ORM\Table(name="dbshop_self_location_content")
 */
class SelfLocationContent extends BaseEntity
{
    /**
     * 自增id
     * @ORM\Id()
     * @ORM\Column(name="content_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $contentId;

    /**
     * 自提点id
     * @ORM\Column(name="location_id", type="integer", length=11)
     */
    private $locationId;

    /**
     * 自提点名称
     * @ORM\Column(name="location_name", type="string", length=200)
     */
    private $locationName;

    /**
     * 自提点地区信息
     * @ORM\Column(name="region_info", type="string", length=150)
     */
    private $regionInfo;

    /**
     * 自提点详细地址
     * @ORM\Column(name="location_address", type="string", length=200)
     */
    private $locationAddress;


    /**
     * 自提点联系人
     * @ORM\Column(name="location_user", type="string", length=100)
     */
    private $locationUser;


    /**
     * 自提点营业时间
     * @ORM\Column(name="location_business_hours", type="string", length=200)
     */
    private $locationBusinessHours;

    /**
     * 语言编码
     * @ORM\Column(name="language_code", type="string", length=10)
     */
    private $languageCode;

    /**
     * @return mixed
     */
    public function getContentId()
    {
        return $this->contentId;
    }

    /**
     * @param mixed $contentId
     */
    public function setContentId($contentId): void
    {
        $this->contentId = $contentId;
    }

    /**
     * @return mixed
     */
    public function getLocationId()
    {
        return $this->locationId;
    }

    /**
     * @param mixed $locationId
     */
    public function setLocationId($locationId): void
    {
        $this->locationId = $locationId;
    }

    /**
     * @return mixed
     */
    public function getLocationName()
    {
        return $this->locationName;
    }

    /**
     * @param mixed $locationName
     */
    public function setLocationName($locationName): void
    {
        $this->locationName = $locationName;
    }

    /**
     * @return mixed
     */
    public function getRegionInfo()
    {
        return $this->regionInfo;
    }

    /**
     * @param mixed $regionInfo
     */
    public function setRegionInfo($regionInfo): void
    {
        $this->regionInfo = $regionInfo;
    }
    
    /**
     * @return mixed
     */
    public function getLocationAddress()
    {
        return $this->locationAddress;
    }

    /**
     * @param mixed $locationAddress
     */
    public function setLocationAddress($locationAddress): void
    {
        $this->locationAddress = $locationAddress;
    }

    /**
     * @return mixed
     */
    public function getLocationUser()
    {
        return $this->locationUser;
    }

    /**
     * @param mixed $locationUser
     */
    public function setLocationUser($locationUser): void
    {
        $this->locationUser = $locationUser;
    }

    /**
     * @return mixed
     */
    public function getLocationBusinessHours()
    {
        return $this->locationBusinessHours;
    }

    /**
     * @param mixed $locationBusinessHours
     */
    public function setLocationBusinessHours($locationBusinessHours): void
    {
        $this->locationBusinessHours = $locationBusinessHours;
    }

    /**
     * @return mixed
     */
    public function getLanguageCode()
    {
        return $this->languageCode;
    }

    /**
     * @param mixed $languageCode
     */
    public function setLanguageCode($languageCode): void
    {
        $this->languageCode = $languageCode;
    }
}