<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Admin\Service\Translate;

use Google\Cloud\Translate\V2\TranslateClient;

class GoogleTranslate
{
    private $apiKey;

    public function __construct($translateConfig)
    {
        $this->apiKey = $translateConfig['apiKey'];
    }

    /**
     * Google翻译
     * @param $query
     * @param $from
     * @param $to
     * @return array|string[]
     */
    public function cartTranslateBody($query, $from, $to): array
    {
        $languageCodeArray = ['zh_CN' => 'zh', 'zh_HK' => 'zh-TW', 'en' => 'en', 'ja' => 'ja', 'ko' => 'ko'];

        try {
            $translate  = new TranslateClient(['key' => $this->apiKey]);
            $result     = $translate->translate($query, ['source' => $languageCodeArray[$from], 'target' => $languageCodeArray[$to]]);
            if (isset($result['text'])) return ['state' => 'true', 'content' => $result['text']];
            return ['state' => 'false', 'message' => '配置错误，无法正常使用'];
        } catch (\Exception $e) {
            return ['state' => 'false', 'message' => $e->getMessage()];
        }
    }
}