<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Cms\Controller\Factory;

use Admin\Data\Config;
use Cms\Controller\CmsSingleController;
use Cms\Service\SingleCmsContentManager;
use Cms\Service\SingleCmsManager;
use Interop\Container\ContainerInterface;
use Laminas\Mvc\I18n\Translator;
use Laminas\ServiceManager\Factory\FactoryInterface;

class CmsSingleControllerFactory implements FactoryInterface
{
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null): CmsSingleController
    {
        $translator         = $container->get(Translator::class);
        $entityManager      = $container->get(Config::SHOP_DATABASE_MANAGER_WRITE);
        $singleCmsManager   = $container->get(SingleCmsManager::class);
        $singleCmsContentManager = $container->get(SingleCmsContentManager::class);

        return new CmsSingleController($translator, $entityManager, $singleCmsManager, $singleCmsContentManager);
    }
}