<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Cms\Entity;

use Admin\Entity\BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 文章多语言内容
 * @ORM\Entity(repositoryClass="Cms\Repository\CmsContentRepository")
 * @ORM\Table(name="dbshop_cms_content")
 */
class CmsContent extends BaseEntity
{
    /**
     * 自增id
     * @ORM\Id()
     * @ORM\Column(name="content_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $contentId;

    /**
     * 文章id
     * @ORM\Column(name="cms_id", type="integer", length=11)
     */
    private $cmsId;

    /**
     * 文章标题
     * @ORM\Column(name="cms_title", type="string", length=200)
     */
    private $cmsTitle;

    /**
     * 文章内容
     * @ORM\Column(name="cms_body", type="string")
     */
    private $cmsBody;

    /**
     * 文章扩展标题
     * @ORM\Column(name="cms_extend_title", type="string", length=200)
     */
    private $cmsExtendTitle;

    /**
     * 文章关键字（SEO）
     * @ORM\Column(name="cms_keywords", type="string", length=200)
     */
    private $cmsKeywords;

    /**
     * 文章描述（SEO）
     * @ORM\Column(name="cms_description", type="string", length=500)
     */
    private $cmsDescription;

    /**
     * 语言编码
     * @ORM\Column(name="language_code", type="string", length=10)
     */
    private $languageCode;

    /**
     * @return mixed
     */
    public function getContentId()
    {
        return $this->contentId;
    }

    /**
     * @param mixed $contentId
     */
    public function setContentId($contentId): void
    {
        $this->contentId = $contentId;
    }

    /**
     * @return mixed
     */
    public function getCmsId()
    {
        return $this->cmsId;
    }

    /**
     * @param mixed $cmsId
     */
    public function setCmsId($cmsId): void
    {
        $this->cmsId = $cmsId;
    }

    /**
     * @return mixed
     */
    public function getCmsTitle()
    {
        return $this->cmsTitle;
    }

    /**
     * @param mixed $cmsTitle
     */
    public function setCmsTitle($cmsTitle): void
    {
        $this->cmsTitle = $cmsTitle;
    }

    /**
     * @return mixed
     */
    public function getCmsBody()
    {
        return $this->cmsBody;
    }

    /**
     * @param mixed $cmsBody
     */
    public function setCmsBody($cmsBody): void
    {
        $this->cmsBody = $cmsBody;
    }

    /**
     * @return mixed
     */
    public function getCmsExtendTitle()
    {
        return $this->cmsExtendTitle;
    }

    /**
     * @param mixed $cmsExtendTitle
     */
    public function setCmsExtendTitle($cmsExtendTitle): void
    {
        $this->cmsExtendTitle = $cmsExtendTitle;
    }

    /**
     * @return mixed
     */
    public function getCmsKeywords()
    {
        return $this->cmsKeywords;
    }

    /**
     * @param mixed $cmsKeywords
     */
    public function setCmsKeywords($cmsKeywords): void
    {
        $this->cmsKeywords = $cmsKeywords;
    }

    /**
     * @return mixed
     */
    public function getCmsDescription()
    {
        return $this->cmsDescription;
    }

    /**
     * @param mixed $cmsDescription
     */
    public function setCmsDescription($cmsDescription): void
    {
        $this->cmsDescription = $cmsDescription;
    }

    /**
     * @return mixed
     */
    public function getLanguageCode()
    {
        return $this->languageCode;
    }

    /**
     * @param mixed $languageCode
     */
    public function setLanguageCode($languageCode): void
    {
        $this->languageCode = $languageCode;
    }
}