<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Goods\Controller\Factory;

use Admin\Data\Config;
use Goods\Controller\GoodsTagGroupController;
use Goods\Service\GoodsTagGroupContentManager;
use Goods\Service\GoodsTagGroupManager;
use Interop\Container\ContainerInterface;
use Laminas\Mvc\I18n\Translator;
use Laminas\ServiceManager\Factory\FactoryInterface;

class GoodsTagGroupControllerFactory implements FactoryInterface
{
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null): GoodsTagGroupController
    {
        $translator         = $container->get(Translator::class);
        $entityManager      = $container->get(Config::SHOP_DATABASE_MANAGER_WRITE);
        $goodsTagGroupManager = $container->get(GoodsTagGroupManager::class);
        $goodsTagGroupContentManager = $container->get(GoodsTagGroupContentManager::class);

        return new GoodsTagGroupController(
            $translator,
            $entityManager,
            $goodsTagGroupManager,
            $goodsTagGroupContentManager
        );
    }
}