<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Goods\Entity;

use Admin\Entity\BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 商品品牌
 * Class GoodsBrand
 * @package Goods\Entity
 * @ORM\Entity(repositoryClass="Goods\Repository\GoodsBrandRepository")
 * @ORM\Table(name="dbshop_goods_brand")
 */
class GoodsBrand extends BaseEntity
{
    /**
     * 品牌id
     * @ORM\Id()
     * @ORM\Column(name="brand_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $brandId;

    /**
     * 品牌logo
     * @ORM\Column(name="brand_logo", type="string", length=100)
     */
    private $brandLogo;

    /**
     * 品牌排序
     * @ORM\Column(name="brand_sort", type="integer", length=11)
     */
    private $brandSort;

    /**
     * @return mixed
     */
    public function getBrandId()
    {
        return $this->brandId;
    }

    /**
     * @param mixed $brandId
     */
    public function setBrandId($brandId): void
    {
        $this->brandId = $brandId;
    }

    /**
     * @return mixed
     */
    public function getBrandLogo()
    {
        return $this->brandLogo;
    }

    /**
     * @param mixed $brandLogo
     */
    public function setBrandLogo($brandLogo): void
    {
        $this->brandLogo = $brandLogo;
    }

    /**
     * @return mixed
     */
    public function getBrandSort()
    {
        return $this->brandSort;
    }

    /**
     * @param mixed $brandSort
     */
    public function setBrandSort($brandSort): void
    {
        $this->brandSort = $brandSort;
    }
}