<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Goods\Entity;

use Admin\Entity\BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 商品分类内容
 * @ORM\Entity(repositoryClass="Goods\Repository\GoodsClassContentRepository")
 * @ORM\Table(name="dbshop_goods_class_content")
 */
class GoodsClassContent extends BaseEntity
{
    /**
     * 自增id
     * @ORM\Id()
     * @ORM\Column(name="content_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $contentId;

    /**
     * 商品分类id
     * @ORM\Column(name="class_id", type="integer", length=11)
     */
    private $classId;

    /**
     * 分类名称
     * @ORM\Column(name="class_name", type="string", length=150)
     */
    private $className;

    /**
     * 分类描述，用于页面显示
     * @ORM\Column(name="class_info", type="string", length=4000)
     */
    private $classInfo;

    /**
     * 分类扩展，用于浏览器上标题后面的显示
     * @ORM\Column(name="class_extend", type="string", length=255)
     */
    private $classExtend;

    /**
     * 分类关键词，蛀牙用于搜索引擎
     * @ORM\Column(name="class_keywords", type="string", length=255)
     */
    private $classKeywords;

    /**
     * 分类描述，主要用于搜索引擎
     * @ORM\Column(name="class_description", type="string", length=1000)
     */
    private $classDescription;

    /**
     * 语言编码
     * @ORM\Column(name="language_code", type="string", length=10)
     */
    private $languageCode;

    /**
     * @return mixed
     */
    public function getContentId()
    {
        return $this->contentId;
    }

    /**
     * @param mixed $contentId
     */
    public function setContentId($contentId): void
    {
        $this->contentId = $contentId;
    }

    /**
     * @return mixed
     */
    public function getClassId()
    {
        return $this->classId;
    }

    /**
     * @param mixed $classId
     */
    public function setClassId($classId): void
    {
        $this->classId = $classId;
    }

    /**
     * @return mixed
     */
    public function getClassName()
    {
        return $this->className;
    }

    /**
     * @param mixed $className
     */
    public function setClassName($className): void
    {
        $this->className = $className;
    }

    /**
     * @return mixed
     */
    public function getClassInfo()
    {
        return $this->classInfo;
    }

    /**
     * @param mixed $classInfo
     */
    public function setClassInfo($classInfo): void
    {
        $this->classInfo = $classInfo;
    }

    /**
     * @return mixed
     */
    public function getClassExtend()
    {
        return $this->classExtend;
    }

    /**
     * @param mixed $classExtend
     */
    public function setClassExtend($classExtend): void
    {
        $this->classExtend = $classExtend;
    }

    /**
     * @return mixed
     */
    public function getClassKeywords()
    {
        return $this->classKeywords;
    }

    /**
     * @param mixed $classKeywords
     */
    public function setClassKeywords($classKeywords): void
    {
        $this->classKeywords = $classKeywords;
    }

    /**
     * @return mixed
     */
    public function getClassDescription()
    {
        return $this->classDescription;
    }

    /**
     * @param mixed $classDescription
     */
    public function setClassDescription($classDescription): void
    {
        $this->classDescription = $classDescription;
    }

    /**
     * @return mixed
     */
    public function getLanguageCode()
    {
        return $this->languageCode;
    }

    /**
     * @param mixed $languageCode
     */
    public function setLanguageCode($languageCode): void
    {
        $this->languageCode = $languageCode;
    }
}