<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Operation;

use Operation\Controller\AdController;
use Operation\Controller\CouponCodeController;
use Operation\Controller\CouponController;
use Operation\Controller\DiscountController;
use Operation\Controller\RechargeCodeController;

return [
    'Operation' => [
        'name' => '运营',
        'controllers' => [
            DiscountController::class => [
                'name' => '优惠促销',
                'action' => ['index', 'add', 'edit', 'delete'],
                'actionNames' => [
                    'index' => '促销规则列表',
                    'add'   => '添加促销规则',
                    'edit'  => '编辑促销规则',
                    'delete'=> '删除促销规则'
                ]
            ],

            CouponController::class => [
                'name' => '优惠券',
                'action' => ['index', 'add', 'edit', 'delete', 'userCouponList'],
                'actionNames' => [
                    'index' => '优惠券列表',
                    'add'   => '添加优惠券',
                    'edit'  => '编辑优惠券',
                    'delete'=> '删除优惠券',
                    'userCouponList' => '会员优惠券列表'
                ]
            ],

            CouponCodeController::class => [
                'name' => '优惠码',
                'action' => ['index', 'add', 'edit', 'delete', 'createCouponCode', 'couponCodeList', 'exportCouponCode'],
                'actionNames' => [
                    'index' => '优惠码列表',
                    'add'   => '添加优惠码',
                    'edit'  => '编辑优惠码',
                    'delete'=> '删除优惠码',
                    'createCouponCode'  => '生成优惠码',
                    'couponCodeList'    => '会员优惠码列表',
                    'exportCouponCode'  => '导出优惠码',
                ]
            ],

            RechargeCodeController::class => [
                'name' => '充值码',
                'action' => [
                    'index', 'add', 'edit', 'delete', 'createRechargeCode',
                    'rechargeCodeList', 'exportRechargeCode'
                ],
                'actionNames' => [
                    'index' => '充值码规则列表',
                    'add'   => '添加充值码规则',
                    'edit'  => '编辑充值码规则',
                    'delete'=> '删除充值码规则',
                    'createRechargeCode'=> '生成充值码',

                    'rechargeCodeList'  => '充值码列表',
                    'exportRechargeCode'=> '导出充值码'
                ]
            ],

            AdController::class => [
                'name' => '广告',
                'action' => [
                    'index', 'adEdit',
                    'mobileAdList', 'mobileAdEdit',
                    'adDelete',
                ],
                'actionNames' => [
                    'index'         => '电脑广告列表',
                    'adEdit'        => '编辑电脑广告',

                    'mobileAdList'  => '手机广告列表',
                    'mobileAdEdit'  => '编辑手机广告',

                    'adDelete'      => '广告清除'
                ]
            ]
        ]
    ]
];