<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Operation\Entity;

use Admin\Entity\BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 优惠码生成
 * Class CouponCode
 * @package Operation\Entity
 * @ORM\Entity(repositoryClass="Operation\Repository\CouponCodeRepository")
 * @ORM\Table(name="dbshop_coupon_code")
 */
class CouponCode extends BaseEntity
{
    /**
     * 自增id
     * @ORM\Id()
     * @ORM\Column(name="coupon_code_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $couponCodeId;

    /**
     * 优惠码规则id
     * @ORM\Column(name="coupon_code_rule_id", type="integer", length=11)
     */
    private $couponCodeRuleId;

    /**
     * 优惠码字符串
     * @ORM\Column(name="coupon_code_str", type="string", length=30)
     */
    private $couponCodeStr;

    /**
     * 会员id
     * @ORM\Column(name="user_id", type="integer", length=11)
     */
    private $userId = 0;

    /**
     * 会员名称
     * @ORM\Column(name="user_name", type="string", length=100)
     */
    private $userName;

    /**
     * 订单id
     * @ORM\Column(name="order_id", type="integer", length=11)
     */
    private $orderId = 0;

    /**
     * 订单编号
     * @ORM\Column(name="order_sn", type="string", length=50)
     */
    private $orderSn;

    /**
     * 优惠码使用时间
     * @ORM\Column(name="coupon_code_use_time", type="integer", length=10)
     */
    private $couponCodeUseTime = 0;

    /**
     * 优惠码生成时间
     * @ORM\Column(name="coupon_code_create_time", type="integer", length=10)
     */
    private $couponCodeCreateTime;

    /**
     * @return mixed
     */
    public function getCouponCodeId()
    {
        return $this->couponCodeId;
    }

    /**
     * @param mixed $couponCodeId
     */
    public function setCouponCodeId($couponCodeId): void
    {
        $this->couponCodeId = $couponCodeId;
    }

    /**
     * @return mixed
     */
    public function getCouponCodeRuleId()
    {
        return $this->couponCodeRuleId;
    }

    /**
     * @param mixed $couponCodeRuleId
     */
    public function setCouponCodeRuleId($couponCodeRuleId): void
    {
        $this->couponCodeRuleId = $couponCodeRuleId;
    }

    /**
     * @return mixed
     */
    public function getCouponCodeStr()
    {
        return $this->couponCodeStr;
    }

    /**
     * @param mixed $couponCodeStr
     */
    public function setCouponCodeStr($couponCodeStr): void
    {
        $this->couponCodeStr = $couponCodeStr;
    }

    /**
     * @return mixed
     */
    public function getUserId()
    {
        return $this->userId;
    }

    /**
     * @param mixed $userId
     */
    public function setUserId($userId): void
    {
        $this->userId = $userId;
    }

    /**
     * @return mixed
     */
    public function getUserName()
    {
        return $this->userName;
    }

    /**
     * @param mixed $userName
     */
    public function setUserName($userName): void
    {
        $this->userName = $userName;
    }

    /**
     * @return mixed
     */
    public function getOrderId()
    {
        return $this->orderId;
    }

    /**
     * @param mixed $orderId
     */
    public function setOrderId($orderId): void
    {
        $this->orderId = $orderId;
    }

    /**
     * @return mixed
     */
    public function getOrderSn()
    {
        return $this->orderSn;
    }

    /**
     * @param mixed $orderSn
     */
    public function setOrderSn($orderSn): void
    {
        $this->orderSn = $orderSn;
    }

    /**
     * @return mixed
     */
    public function getCouponCodeUseTime()
    {
        return $this->couponCodeUseTime;
    }

    /**
     * @param mixed $couponCodeUseTime
     */
    public function setCouponCodeUseTime($couponCodeUseTime): void
    {
        $this->couponCodeUseTime = $couponCodeUseTime;
    }

    /**
     * @return mixed
     */
    public function getCouponCodeCreateTime()
    {
        return $this->couponCodeCreateTime;
    }

    /**
     * @param mixed $couponCodeCreateTime
     */
    public function setCouponCodeCreateTime($couponCodeCreateTime): void
    {
        $this->couponCodeCreateTime = $couponCodeCreateTime;
    }
}